package ubiik.wp.ami.model;

import java.io.IOException;
import org.json.simple.JSONObject;
import ubiik.utils.JsonUtils;
import ubiik.wp.model.messages.PSDownlinkATCommand;

public class AmiATCommand extends AMIMessage {
  private String atCommand;
  
  public AmiATCommand(JSONObject json) {
    super(json);
    this.atCommand = (String)JsonUtils.getIfExists(json, "cmd");
    byte[] data = PSDownlinkATCommand.createDownlinkATData(this.atCommand);
    this.payload.reset();
    try {
      this.payload.write(data);
    } catch (IOException e) {
      e.printStackTrace();
    } 
  }
  
  protected AmiComparisonResult doAmiCompare(AMIMessage other) {
    return new AmiComparisonResult(false, "Not implemented");
  }
}
