package ubiik.wp.model.messages.pscommands;

import ubiik.wp.model.fpga.FPGARegister;

public class PSCommandFPGAReadRegisters extends PSCommand {
  public static final int READ_ALL_REGISTERS = 255;
  
  public PSCommandFPGAReadRegisters(FPGARegister register, PSCommandDelegate delegate) {
    super((byte[])null, (short)12, delegate);
    this.data = new byte[1];
    this.data[0] = (byte)(0xFF & register.getIndex());
  }
  
  public String getTypeString() {
    return "FPGA Read Registers";
  }
  
  public String getContentString() {
    return "";
  }
}
