package ubiik.wp.model.messages.pscommands;

import ubiik.wp.model.devices.UUSIB0;

public class PSCommandSetSIB0and1 extends PSCommand {
  private UUSIB0 sib0;
  
  public PSCommandSetSIB0and1(PSCommandDelegate delegate, UUSIB0 sib0) {
    super((byte[])null, (short)13, delegate);
    this.sib0 = sib0;
    setUpData();
  }
  
  public void setUpData() {
    this.data = this.sib0.getData();
  }
  
  public String getTypeString() {
    return "Set SIB 0 and 1";
  }
  
  public String getContentString() {
    return "";
  }
  
  public synchronized UUSIB0 getSib0() {
    return this.sib0;
  }
  
  public synchronized void setSib0(UUSIB0 sib0) {
    this.sib0 = sib0;
  }
}
