package ubiik.wp.view;

import javafx.fxml.FXMLLoader;
import javafx.stage.Stage;
import ubiik.wp.admin.psconnection.auth.PSAuthAdmin;
import ubiik.wp.controller.DevicesController;
import ubiik.wp.controller.MessageController;
import ubiik.wp.controller.UserManager;
import ubiik.wp.psconnection.auth.PSAuth;

public class Main extends BaseApplication {
  protected void doSetUpMainController(Stage primaryStage, DevicesController dc, MessageController mc) {
    this.mainLoader = new FXMLLoader(getClass().getResource("/main/resources/ubiik/wp/admin/MainView.fxml"));
    this.mainController = new MainViewController(primaryStage, mc, dc);
    this.mainLoader.setController(this.mainController);
  }

  public static void main(String[] args) {
    launch(args);
  }

  protected static void setUpUserManager() {
    UserManager usrManager = UserManager.getInstance();
    usrManager.setPsAuth((PSAuth)new PSAuthAdmin());
  }
}
