package ubiik.wp.view;

import java.util.concurrent.LinkedBlockingQueue;
import javafx.stage.Stage;
import ubiik.wp.controller.DevicesController;
import ubiik.wp.controller.MessageController;
import ubiik.wp.psconnection.PSConnectionManager;
import ubiik.wp.psconnection.PSConnectionManagerDelegate;
import ubiik.wp.psconnection.WSConnectionManager;

public class MainViewControllerWS extends MainViewController {
  public MainViewControllerWS(Stage primaryStage, MessageController mc, DevicesController dc) {
    super(primaryStage, mc, dc);
  }
  
  public PSConnectionManager getNewPSConnectionManager(String host, int port) {
    return (PSConnectionManager)new WSConnectionManager(host, port, (PSConnectionManagerDelegate)this.messageController, new LinkedBlockingQueue());
  }
}
