package ubiik.wp.admin.psconnection.auth;

import ubiik.wp.admin.model.messages.PSDownlinkATCommand;
import ubiik.wp.model.messages.pscommands.PSCommandATCommand;
import ubiik.wp.model.messages.pscommands.PSCommandFPGAReadRegisters;
import ubiik.wp.model.messages.pscommands.PSCommandFPGASetRegister;
import ubiik.wp.model.messages.pscommands.PSCommandSDRSet;
import ubiik.wp.psconnection.auth.PSAuth;

public class PSAuthAdmin extends PSAuth {
  public PSAuthAdmin() {
    this.commandsAvailable.add(PSCommandFPGAReadRegisters.class);
    this.commandsAvailable.add(PSCommandFPGASetRegister.class);
    this.commandsAvailable.add(PSCommandSDRSet.class);
    this.commandsAvailable.add(PSCommandATCommand.class);
    this.commandsAvailable.add(PSDownlinkATCommand.class);
  }
  
  protected byte[] getKey() {
    byte[] key = { 
        -32, -31, 61, 54, 119, 105, -42, 10, 0, -96, 
        96, -126, -88, 100, -116, -29, -48, 48, 16, 122, 
        20, 64, 52, 32, 0, 77, -95, 123, 78, 72, 
        -64, 26 };
    return key;
  }
}
