package ubiik.wp.admin.view;

import java.util.concurrent.LinkedBlockingQueue;
import javafx.stage.Stage;
import ubiik.wp.controller.DevicesController;
import ubiik.wp.controller.MessageController;
import ubiik.wp.psconnection.PSConnectionManager;
import ubiik.wp.psconnection.PSConnectionManagerDelegate;
import ubiik.wp.psconnection.WSConnectionManager;

public class AdminMainViewControllerWS extends AdminMainViewController {
  public AdminMainViewControllerWS(Stage stage, MessageController mc, DevicesController dc) {
    super(stage, mc, dc);
  }
  
  public PSConnectionManager getNewPSConnectionManager(String host, int port) {
    return (PSConnectionManager)new WSConnectionManager(host, port, (PSConnectionManagerDelegate)this.messageController, new LinkedBlockingQueue());
  }
}
