package ubiik.wp.ami;

import javafx.fxml.FXMLLoader;
import javafx.stage.Stage;
import ubiik.wp.ami.controller.PVFANTestController;
import ubiik.wp.controller.DevicesController;
import ubiik.wp.controller.MessageController;
import ubiik.wp.view.BaseApplication;
import ubiik.wp.view.ConnectionManagerViewController;

public class PVFANTest extends BaseApplication {
  public static void main(String[] args) {
    launch(args);
  }

  protected void doSetUpMainController(Stage stage, DevicesController dc, MessageController mc) {
    this.mainLoader = new FXMLLoader(getClass().getResource("/main/resources/ubiik/wp/admin/AmiTestView.fxml"));
    this.mainController = (ConnectionManagerViewController)new PVFANTestController(dc, mc, stage);
    this.mainLoader.setController(this.mainController);
    this.mainController.onShow();
  }
}
