package ubiik.wp.ami.controller;

import java.util.concurrent.LinkedBlockingQueue;
import javafx.stage.Stage;
import ubiik.wp.controller.DevicesController;
import ubiik.wp.controller.MessageController;
import ubiik.wp.psconnection.PSConnectionManager;
import ubiik.wp.psconnection.PSConnectionManagerDelegate;
import ubiik.wp.psconnection.WSConnectionManager;

public class PVFANTestController extends FANTestController {
  public PVFANTestController(DevicesController devicesController, MessageController messageController, Stage mainStage) {
    super(devicesController, messageController, mainStage);
  }
  
  public PSConnectionManager getNewPSConnectionManager(String host, int port) {
    return (PSConnectionManager)new WSConnectionManager(host, port, (PSConnectionManagerDelegate)this.messageController, new LinkedBlockingQueue());
  }
}
