package ubiik.wp.model.firmwareupgrade;

public class BSFirmwareFileValidationResult {
  private boolean isValid;
  
  private byte[] fileVersion;
  
  private byte[] currentVersion;
  
  private int fileCompareResult;
  
  public BSFirmwareFileValidationResult(boolean isValid, byte[] fileVersion, byte[] currentVersion, int fileCompareResult) {
    this.isValid = isValid;
    this.fileVersion = fileVersion;
    this.currentVersion = currentVersion;
    this.fileCompareResult = fileCompareResult;
  }
  
  public BSFirmwareFileValidationResult() {
    this(false, null, null, -1);
  }
  
  public synchronized boolean isValid() {
    return this.isValid;
  }
  
  public synchronized void setValid(boolean isValid) {
    this.isValid = isValid;
  }
  
  public synchronized byte[] getFileVersion() {
    return this.fileVersion;
  }
  
  public synchronized void setFileVersion(byte[] fileVersion) {
    this.fileVersion = fileVersion;
  }
  
  public synchronized byte[] getCurrentVersion() {
    return this.currentVersion;
  }
  
  public synchronized void setCurrentVersion(byte[] currentVersion) {
    this.currentVersion = currentVersion;
  }
  
  public synchronized int getFileCompareResult() {
    return this.fileCompareResult;
  }
  
  public synchronized void setFileCompareResult(int fileCompareResult) {
    this.fileCompareResult = fileCompareResult;
  }
}
