package ubiik.wp.model.firmwareupgrade;

import java.util.HashMap;
import java.util.Map;

public class FirmwareUpgradeStatus {
  public static final int BS_FIRMWARE_STATUS_OK = 0;
  
  public static final int BS_FIRMWARE_STATUS_INVALID_FILE = 1;
  
  private static final Map<Integer, String> ERROR_STR = new HashMap<>();
  
  static {
    ERROR_STR.put(Integer.valueOf(0), "Firmware upgrade applied");
    ERROR_STR.put(Integer.valueOf(1), "Invalid Firmware upgrade file");
  }
  
  public static final String getErrorForCode(int errCode) {
    String errStr = ERROR_STR.get(Integer.valueOf(errCode));
    if (errStr == null)
      errStr = "Error " + errCode; 
    return errStr;
  }
}
