package ubiik.wp.qa;

import javafx.fxml.FXMLLoader;
import javafx.stage.Stage;
import ubiik.wp.controller.DevicesController;
import ubiik.wp.controller.MessageController;
import ubiik.wp.qa.view.BSTestViewController;
import ubiik.wp.view.BaseApplication;
import ubiik.wp.view.ConnectionManagerViewController;

public class DCUTest extends BaseApplication {
  protected void doSetUpMainController(Stage stage, DevicesController dc, MessageController mc) {
    this.mainLoader = new FXMLLoader(getClass().getResource("/main/resources/ubiik/wp/admin/DCUTestMainView.fxml"));
    this.mainController = (ConnectionManagerViewController)new BSTestViewController(mc, dc, stage);
    this.mainLoader.setController(this.mainController);
    this.mainController.onShow();
  }

  public static void main(String[] args) {
    launch(args);
  }
}
